/// <reference types="react" />
import { XBaseControl } from "./XBaseControl";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XLineControl extends XBaseControl {
    width?: number;
    color?: string;
    height?: number;
    borderRadius?: number;
    marginTop?: number;
    marginBottom?: number;
    marginY: number;
    sameMargin: boolean;
    fullWidth: boolean;
    constructor();
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
export declare function XLineControlUI(props: {
    editMe: XLineControl;
}): JSX.Element;
